/******************************************************************************
 *                                     __                                     *
 *                              <-----/@@\----->                              *
 *                             <-< <  \\//  > >->                             *
 *                               <-<-\ __ /->->                               *
 *                               Data /  \ Crow                               *
 *                                   ^    ^                                   *
 *                       (c) 2003 The Data Crow team                          *
 *                              info@datacrow.net                             *
 *                                                                            *
 *                                                                            *
 *       This library is free software; you can redistribute it and/or        *
 *        modify it under the terms of the GNU Lesser General Public          *
 *       License as published by the Free Software Foundation; either         *
 *     version 2.1 of the License, or (at your option) any later version.     *
 *                                                                            *
 *      This library is distributed in the hope that it will be useful,       *
 *      but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *     MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU       *
 *           Lesser General Public License for more details.                  *
 *                                                                            *
 *     You should have received a copy of the GNU Lesser General Public       *
 *    License along with this library; if not, write to the Free Software     *
 *  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA   *
 *                                                                            *
 ******************************************************************************/

package net.sf.dc.console.components;

import java.awt.GridBagConstraints;
import java.awt.Insets;
import java.awt.event.ActionEvent;
import java.awt.event.ActionListener;

import javax.swing.JComboBox;
import javax.swing.JComponent;
import javax.swing.JLabel;

import net.sf.dc.resources.DCLabels;
import net.sf.ext.jflexsett.settings.ui.ISettingsComponent;
import net.sf.ext.util.Resources;

/**
 * A field for selecting a font. Available fonts are queried from the OS.
 * 
 * @author Jesper
 * @version 1.6
 * @since 1.4
 */
public class ThemeSelector extends JComponent implements ISettingsComponent {
    
    private JLabel labelTheme = ComponentFactory.getLabel(Resources.getText(DCLabels.lblTheme));
    private JComboBox comboTheme = ComponentFactory.getComboBox();
   
    /**
     * Initializes this field
     */
    public ThemeSelector() {
        buildComponent();
        fillThemeCombo();
    }
    
    /**
     * Fills the theme combo box
     */
    private void fillThemeCombo() {
    	comboTheme.addItem("Standard");
//        Font[] fonts = GraphicsEnvironment.getLocalGraphicsEnvironment().
//                       getAllFonts();
//        
//        for (int i = 0; i < fonts.length; i++) {
//            comboTheme.addItem(fonts[i].getName());
//        }
    }

    /**
     * Returns the selected Font (with the chosen size, thickness)
     * Unless the user has chosen otherwise, Arial font size 11 is returned.
     */
    public Object getValue() {
        return "";
    }
    
    /**
     * Returns the selected Font (with the chosen size, thickness).
     * Unless the user has chosen otherwise, Arial font size 11 is returned.  
     */    
    public String getTheme() {
        if (comboTheme.getSelectedIndex() != -1) {
            String theme = comboTheme.getSelectedItem().toString();
            return theme;
        } else {
        	return "Standard";
        }
    }
    
    /**
     * Applies a value to this field
     */
    public void setValue(Object o) {
/*        Font font = (Font) o;
        try {
            checkBold.setSelected(font.isBold());
        	comboFontName.setSelectedItem(font.getName());
            comboFontSize.setSelectedItem(new Integer(font.getSize()));
        } catch (Exception ignore) {}*/
    }
    
    /**
     * Shows a preview of the selected theme
     */
    private void showPreview() {
        // TODO
    }

    /**
     * Builds this component
     */
    private void buildComponent() {
        setLayout(Layout.getGBL());
        comboTheme.addActionListener(new IndexHasChangedAction());
        
/*        textField.setBorder(ComponentFactory.getTitleBorder(""));
        textField.setText("data crow\r\nDATA CROW\r\nData Crow\r\ndATA cROW");
*/        
/*        JScrollPane scrollPane = new JScrollPane(textField);
        scrollPane.setHorizontalScrollBarPolicy(JScrollPane.HORIZONTAL_SCROLLBAR_NEVER);
        scrollPane.setVerticalScrollBarPolicy(JScrollPane.VERTICAL_SCROLLBAR_NEVER);
*/        
        add(labelTheme,      Layout.getGBC( 0, 0, 1, 1, 1.0, 1.0
                            ,GridBagConstraints.NORTHWEST, GridBagConstraints.BOTH,
						     new Insets( 0, 0, 0, 0), 0, 0));
        add(comboTheme,      Layout.getGBC( 1, 0, GridBagConstraints.REMAINDER, 1, 1.0, 1.0
    		                ,GridBagConstraints.NORTHWEST, GridBagConstraints.BOTH,
							 new Insets( 0, 0, 0, 0), 0, 0));
        add(new JLabel("lkjlkjlkjlkjlkj"),    Layout.getGBC( 0, 1, GridBagConstraints.REMAINDER, GridBagConstraints.REMAINDER, 0.0, GridBagConstraints.REMAINDER
                            ,GridBagConstraints.NORTHWEST, GridBagConstraints.BOTH,
                             new Insets( 0, 0, 0, 0), 0, 0));
//        add(scrollPane,      Layout.getGBC( 0, 4, 2, 1, 10.0, 10.0
//        		            ,GridBagConstraints.NORTHWEST, GridBagConstraints.BOTH,
//							 new Insets( 0, 0, 0, 0), 0, 0));
    }
    
    private class IndexHasChangedAction implements ActionListener {  
        public void actionPerformed(ActionEvent e) {
            showPreview();
        }
    }
}
