/******************************************************************************
 *                                     __                                     *
 *                              <-----/@@\----->                              *
 *                             <-< <  \\//  > >->                             *
 *                               <-<-\ __ /->->                               *
 *                               Data /  \ Crow                               *
 *                                   ^    ^                                   *
 *                       (c) 2003 The Data Crow team                          *
 *                              info@datacrow.net                             *
 *                                                                            *
 *                                                                            *
 *       This library is free software; you can redistribute it and/or        *
 *        modify it under the terms of the GNU Lesser General Public          *
 *       License as published by the Free Software Foundation; either         *
 *     version 2.1 of the License, or (at your option) any later version.     *
 *                                                                            *
 *      This library is distributed in the hope that it will be useful,       *
 *      but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *     MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU       *
 *           Lesser General Public License for more details.                  *
 *                                                                            *
 *     You should have received a copy of the GNU Lesser General Public       *
 *    License along with this library; if not, write to the Free Software     *
 *  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA   *
 *                                                                            *
 ******************************************************************************/

package net.sf.dc.console.movie;

import java.util.ArrayList;
import java.util.Collection;

import javax.swing.JComponent;

import net.sf.dc.console.TableInsertPanel;
import net.sf.dc.core.IconLibrary;
import net.sf.dc.core.modules.DCModules;
import net.sf.dc.resources.DCLabels;
import net.sf.ext.util.Resources;

/**
 * Movie table panel. Thru this panel Movie items can be inserted into the
 * database
 *
 * @author Robert-Jan van der Waals
 * @since 1.3
 * @version 0.50
 */
public class InsertMoviePanel extends TableInsertPanel {

    /**
     * Creates the panel
     */
    public InsertMoviePanel() {
        super(DCModules.getModule(DCModules._MOVIE),
              Resources.getText(DCLabels.lblNewItem, 
              		            Resources.getText(DCLabels.lblMovie)), 
              IconLibrary._icoNew);
    }
    
    public Collection getChildren(String parentID) {
        return new ArrayList();
    }
    
    public JComponent[] getExtraComponents() {
        return new JComponent[0];
    }      
}
