package net.sf.ext.mediamanager.ebml;

/**
 * <p>Title: JEBML</p>
 * <p>Description: Java Classes to Read EBML Elements</p>
 * <p>Copyright: Copyright (c) 2002-2004 John Cannon <spyder@matroska.org>, Jory Stone <jcsston@toughguy.net></p>
 * <p>Company: </p>
 * @author jcsston
 * @version 1.0
 */

public class MasterElement extends Element {
  protected long usedSize;
  public MasterElement(byte[] type) {
    super(type);
    usedSize = 0;
  }

  public Element readNextChild(EBMLReader reader) {
    if (usedSize >= this.getSize())
      return null;

    Element elem = reader.readNextElement();
    if (elem == null)
      return null;

    elem.setParent(this);

    usedSize += Element.EBMLCodedSizeLength(elem.getSize());

    usedSize += elem.getSize() + elem.getType().length;

    return elem;
  }

  /* Skip the element data */
  public void skipData(DataSource source) {
    // Skip the child elements
    source.skip(size-usedSize);
  }
}